## Overview

`arus-stream-metawear` package is a plugin for [`arus`](https://qutang.github.io/arus/) package. It provides extra functionality to stream data from metawear devices in real-time.

[![PyPI version](https://badge.fury.io/py/arus-stream-metawear.svg)](https://badge.fury.io/py/arus-stream-metawear)
[![Downloads](https://pepy.tech/badge/arus-stream-metawear)](https://pepy.tech/project/arus-stream-metawear)
[![Build Status](https://github.com/qutang/arus/workflows/Continuous%20integration/badge.svg)](https://github.com/qutang/arus/actions)

### Get started

#### Prerequistes

```bash
python >= 3.6
```

##### Linux

```bash
libbluetooth-dev
libboost-all-dev
bluez
```

##### Windows

```bash
Visual Studio C++ SDK
Windows SDK (10.0.16299.0)
Windows SDK (10.0.17763.0)
```

#### Installation

```bash
> pip install arus-stream-metawear
```

Or `pipenv`

```bash
> pipenv install arus-stream-metawear
```

Or `poetry`

```bash
> poetry add arus-stream-metawear
```


### Development

#### Prerequists

```bash
python >= 3.6
poetry >= 0.12.17
```

#### Set up development environment

```bash
> git clone https://github.com/qutang/arus-stream-metawear.git
> cd arus-stream-metawear
> poetry install
```